Skip to main content
LAGO_URL="https://api.getlago.com"
API_KEY="__YOUR_API_KEY__"

curl --location --request DELETE "$LAGO_URL/api/v1/webhook_endpoints/:id" \
  --header "Authorization: Bearer $API_KEY"
from lago_python_client.client import Client
from lago_python_client.exceptions import LagoApiError

client = Client(api_key='__YOUR_API_KEY__')

try:
    client.webhook_endpoints.destroy('id')
except LagoApiError as e:
    repair_broken_state(e)  # do something on error or raise your own exception
require 'lago-ruby-client'

client = Lago::Api::Client.new(api_key: '__YOUR_API_KEY__')

client.webhook_endpoints.destroy('id')
await client.webhookEndpoints.deleteWebhookEndpoint('id')
import "fmt"
import "github.com/getlago/lago-go-client"

func main() {
lagoClient := lago.New().
    SetApiKey("__YOUR_API_KEY__")

webhookEndpoint, err := lagoClient.WebhookEndpoint().Delete("id")
if err != nil {
    // Error is *lago.Error
    panic(err)
}

// webhookEndpoint is *lago.WebhookEndpoint
fmt.Println(webhookEndpoint)
}